import React from 'react';
import clsx from 'clsx';
import useDocusaurusContext from '@docusaurus/useDocusaurusContext';
import Layout from '@theme/Layout';
import HomepageTeam from '@site/src/components/HomepageTeam';
import styles from './index.module.css';
import useBaseUrl from "@docusaurus/useBaseUrl";
import TestimoniesCarousel from '@site/src/components/TestimoniesCarousel';


const pageTitle = "Home"

function HomepageHeader() {
  const {siteConfig} = useDocusaurusContext();
  return (
    <header className={clsx('hero hero--primary', styles.heroBanner)}>
      <div className={'container '+ styles.containerIndex}>
        <h1 className={styles.hero__title}> Artisans DevOps </h1>
        <p className={styles.hero__subtitle}>{siteConfig.tagline}</p>
        <div className={styles.introCard}>
          <div className={clsx("text--center", styles.headerIcon)}>
            <img src={useBaseUrl("img/collaborate.png")} />
          </div>
          <div className="text--center padding-horiz--md">
            <h2> Notre philosophie </h2>
            <p> Nous pensons que l’amélioration continue et la collaboration entre les équipes d’une même entreprise sont essentielles pour atteindre facilement les objectifs mais surtout en les atteignant sereinement. </p>
          </div>
        </div>
      </div>
    </header>
  );
}

export default function Home() {
  const {siteConfig} = useDocusaurusContext();
  return (
    <Layout
      title={`${pageTitle} - ${siteConfig.title}`}
      description="Description will go into a meta tag in <head />">
      <HomepageHeader />
      <main>
      <HomepageTeam />
      <TestimoniesCarousel/>
      </main>
    </Layout>
  );
}
