import React from 'react';
import BlogPostItemHeaderTitle from '@theme/BlogPostItem/Header/Title';
import BlogPostItemHeaderInfo from '@theme/BlogPostItem/Header/Info';
import BlogPostItemHeaderAuthors from '@theme/BlogPostItem/Header/Authors';
import BlogPostItemCoverImage from '../../../components/Blog/BlogPostItemCoverImage';
import {useBlogPost} from '@docusaurus/theme-common/internal';

export default function BlogPostItemHeader() {
  const {metadata} = useBlogPost();
  return (
    <header>
      <BlogPostItemCoverImage imgSrc={metadata.frontMatter.image}/>
      <BlogPostItemHeaderTitle />
      <BlogPostItemHeaderInfo />
      <BlogPostItemHeaderAuthors />
    </header>
  );
}
