---
title: Nos services
---

# Nos services 

## Comment Lydra peut vous aider ?  
Lydra est un collectif de consultants indépendants avec des expertises fortes.

> Nous aidons les entreprises du numérique à déployer leurs applications web rapidement et sans coupure de service.
Nous sommes spécialisés dans le déploiement continu, la transition DevOps, les Logiciels Libres et la souveraineté numérique.  
> Nous pensons que l’amélioration continue et la collaboration entre les équipes d’une même entreprise sont essentielles pour atteindre facilement les objectifs, en toute sérénité.
— Notre philosophie

:::info
Si vous êtes une structure de l’Économie Sociale et solidaire (ESS), vous bénéficiez d’une remise de 15% sur les prestations hors service en ligne (SaaS).
:::

## Services

### Prestations
Nous pouvons, entre autres, vous aider à mettre en place une usine logicielle ou des processus de déploiement automatique et continu.

- Gestion du vote en ligne de vos Assemblées Générales.   
  **À partir de 3500€HT/AG.**
- Code d’infrastructure (Terraform, Ansible)  
- Déploiement d’application (GitLab-CI, Ansible)
- Auditer et accélérer vos pipeline GitLab-CI
- DSI et Coordination de votre équipe SI à temps partagé 

Exemples de tarifs :
  - **Conseil senior/expert : 130€HT/h**
  - **Support et maintenance : 95€HT/h**

### Audit
Nous pouvons auditer :

- vos applications
- votre infrastructure
- vos méthodes de travail

Avec pour objectif de les améliorer et de rendre votre infrastructure plus robuste et vos applications plus facile à déployer.

Dans les domaines suivant :
- GitLab (usages ou infrastructure)
- DevOps
- Infrastructure
- Système Linux


Notre méthode est basée sur un questionnaire complet à remplir, une étude des documentations, du code et de l’architecture ainsi que de longues entrevues avec les différents acteurs de la chaîne de dev, build et run.

Le livrable est un rapport d’audit qui contient :

- Un état des lieux.
- Un plan d’action en vue d’atteindre les objectifs que nous aurons fixés ensemble.
- Une proposition d’outils pour soutenir ce plan d’action.
- Une proposition de mesure de l’avancement et du résultat.
- Les grandes lignes de sécurité et d’exploitation pour l’application basées sur les bonnes pratiques du marché.
Le livrable est ensuite présenté oralement pendant 1h à 2h. Les questions permettront d’affiner la version définitive du rendu pour lever les éventuelles incompréhensions ou bonifier l’audit.

Au forfait et sur mesure entre **3 000 et 10 000€HT** selon l’ampleur de la tâche.

### Mentorat et accompagnements

Nous vous accompagnons à faire votre transition **DevOps** en insufflant le mouvement par une équipe pilote en fonction de vos besoins.
- [Mentorat DevOps](https://devops-mentor.tech) **: Apprenez plus vite grâce à un mentor DevOps.**
- [Accélérateur GitLab](https://vu.fr/AcademieFroggit) **: Prenez un raccourci dans l’apprentissage de Git et de GitLab !**
- Mentorat Usage des Logiciels Libres : **Reprenez en main votre productivité en vous libérant des GAFAM.** Accompagnement sur mesure sous forme d’ateliers collectifs en visio. Avec par exemple :
  - Identifier et qualifier vos besoins.
  - Choisir les Logiciels Libres adaptés à votre organisation.
  - Accompagnement aux usages.

#### Méthode
Notre méthode mêle le conseil, le mentorat avec la pratique du coaching.
Nous proposons plusieurs formules d’accompagnement qui vont d’une séance par mois à une par semaine. Cet accompagnement peut être technique ou méthodologique. Nous pouvons accompagner une à six personnes.
Par défaut, nous fournissons un accompagnement à distance :

* Chaque session est enregistrée en vidéo et mise à disposition dans un espace privé.
Durant cette session, nous pouvons utiliser tout type de méthode comme :
  - *Pair-programming*;
  - Revue de code;
  - Questions/réponses.
* Au début de chaque session, nous évaluerons les actions qui ont été menées depuis la session précédente.
* À la fin de la session, nous définissons ensemble un plan d’action pour la semaine à venir.


### Atelier 

**Lydra** propose également des ateliers en présentiel sur divers sujets et avec divers intervenants (facilitateur graphique, coach en team building, etc.) en fonction des besoins soulevés par l’audit ou des blocages exprimés par l’équipe accompagnée.
Chaque atelier sera conçu sur mesure.

### Formations

Nous proposons des formations présentielles ou distancielles. Nous sommes un organisme de formation agréé Datadoc et Qualiopi.

:::info Formation
  [🎓 DÉMARRE LA FORMATION | DEVOPS MINDSET | 🎓 ](https://www.compagnons-devops.fr/devops-mindset)
:::

Notre formation phare est une formation présentielle qui s’appelle : **DevOps – Pourquoi ? Comment ?**
Elle propose une **initiation** au mouvement DevOps avec pour objectifs :

- Comprendre le mouvement DevOps et les bénéfices de le mettre en œuvre dans une entreprise.
- Comprendre l’intérêt de rejoindre le mouvement pour une DSI traditionnelle.
- Découvrir les outils essentiels d’une démarche DevOps et les pratiquer en binômes.

Format : 3 jours

## Infogérance 

###  Offre YUNOHOST

**YUNOHOST vous offre une palette d’outils simples et libres pour vous faciliter la vie.**

Hébergement et infogérance de votre serveur dédié YUNOHOST pour environ :
- 100Go et <50 utilisateurs : **2198,00€HT/an** + 480€HT d'installation
- 500Go et <200 utilisateurs : **2698,00€HT/an** + 480€HT d'installation
- 1To et <500 utilisateurs : **3998,00€HT/an** + 480€HT d'installation
- Autre sur devis

**Nous ajoutons 480€ de frais d’installation et de configuration des premières applications.**

**Option :** support utilisateur et aide à la gestion de notre offre YUNOHOST **800€HT**. Crédit de 10h mobilisable dans l’année avec divers services possibles :
- Gestion des noms de domaine (DNS)
- Administration des utilisateurs
- Mise en place d’un serveur SMTP externe pour envoi de mails en masse (ou pour bonne dérivabilité des mails)

### Infogérance sur mesure

Infogérance sur mesure de vos serveurs dédiés.

## Service en ligne (SaaS)

### Froggit

**Simplifiez-vous le code... et faites plaisir à vos techs !**  

Collaborez autour du code sur la première plateforme intégrée DevOps Made in France. Avec Froggit, sécurisez vos données, améliorez vos performances et protégez enfin la planète.  
➡️ Plus de détails sur [Froggit.fr](https://froggit.fr/)

### Clé en Main 

**Des offres simples et sécurisées, basées sur des logiciels libres, pour partager vos documents.**

Idéal pour débuter (sans l’édition collaborative en ligne).
➡️ Plus de détail sur [le site CeM](https://www.lydra.eu/cem)

### Boîte à Outils 

**Booster la coopération de vos équipes grâce à des outils en ligne adaptés, sans gérer la technique !**

Parfait pour collaborer dans toute l’entreprise avec une palette d'outils productifs.
➡️ Plus de détail sur [le site BàO](https://www.lydra.eu/bao)
